drop index IDX_LOCK_ on BN_OEI_; 
go
create index IDX_LOCK_ on BN_OEI_ (OVERDUE, LOCKED)
go
drop index IDX_OEI on BN_OEI_;
go
create index IDX_OEI on BN_OEI_ (NAME, PROC_NAME, ACT_NAME, LOCKED)
go
alter table BN_OEI_ drop column LOCK_OWNER
go
alter table BN_OEI_ drop column CONSUMED
go

drop index IDX_IEI on BN_IEI_
go
create index IDX_IEI on BN_IEI_ (NAME, PROC_NAME, ACT_NAME, ENABLE_TIME_, LOCKED)
go
alter table BN_IEI_ drop column LOCK_OWNER
go
alter table BN_IEI_ drop column RETRIES_
go
alter table BN_IEI_ drop column CONSUMED
go

DECLARE @bn_inst_actusers_pkey_name nvarchar(255), @active_users_alter_table_sql VARCHAR(4000)
SET @active_users_alter_table_sql = 'ALTER TABLE BN_INST_ACTUSERS DROP CONSTRAINT |ConstraintName| '

SELECT @bn_inst_actusers_pkey_name = name FROM sys.key_constraints
WHERE parent_object_id = OBJECT_ID('BN_INST_ACTUSERS')

IF not @bn_inst_actusers_pkey_name IS NULL
BEGIN
	SET @active_users_alter_table_sql = REPLACE(@active_users_alter_table_sql, '|ConstraintName|', @bn_inst_actusers_pkey_name)
	EXEC (@active_users_alter_table_sql)
END

ALTER TABLE BN_INST_ACTUSERS DROP COLUMN INDEX_
go